/playstore-manifests-delete-one

Summary

  • Source repository: jef-systems/jef-playstore-backend

  • Source SHA: daf266a7ed404979966024870f61d95ae758e704

  • Source run id: 26362955831

  • Lambda function: jef-playstore-manifests-delete-one

  • HTTP method: DELETE

  • API path: /playstore-manifests-delete-one

  • Endpoint URL: https://eap7fngbzi.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifests-delete-one

  • Payload mode: json-body

Description

  • Function: jef-playstore-manifests-delete-one

  • Module: jef-playstore-manifests

  • Action: delete-one

  • Method: DELETE

  • Invocation Mode: ASYNC

  • Resource Path: /playstore-manifests-delete-one

  • Table: jef-playstore-manifests

  • Primary Key: manifest_id

API Gateway Response

  • status\_code: 202

  • message: Request accepted for asynchronous processing.

Payload Example

  • manifest\_id: 60378ef2-9613-4597-8227-8503692b3cdc

Payload Schema

[
  {
    "key": "root.type",
    "value": "M"
  },
  {
    "key": "root.required",
    "value": "True"
  },
  {
    "key": "root.attributes.manifest_id.type",
    "value": "S"
  },
  {
    "key": "root.attributes.manifest_id.required",
    "value": "True"
  },
  {
    "key": "root.attributes.manifest_id.format",
    "value": "uuidv4"
  },
  {
    "key": "root.attributes.manifest_id.regex",
    "value": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
  }
]

Response Schema

[
  {
    "key": "root.type",
    "value": "M"
  },
  {
    "key": "root.required",
    "value": "True"
  },
  {
    "key": "root.attributes.is_accepted.type",
    "value": "BOOL"
  },
  {
    "key": "root.attributes.is_accepted.required",
    "value": "True"
  },
  {
    "key": "root.attributes.message.type",
    "value": "S"
  },
  {
    "key": "root.attributes.message.required",
    "value": "True"
  },
  {
    "key": "root.attributes.request_id.type",
    "value": "S"
  },
  {
    "key": "root.attributes.request_id.required",
    "value": "False"
  }
]

Request Payload

[
  {
    "key": "manifest_id",
    "value": "60378ef2-9613-4597-8227-8503692b3cdc"
  }
]

Response

[
  {
    "key": "root.type",
    "value": "M"
  },
  {
    "key": "root.required",
    "value": "True"
  },
  {
    "key": "root.attributes.is_accepted.type",
    "value": "BOOL"
  },
  {
    "key": "root.attributes.is_accepted.required",
    "value": "True"
  },
  {
    "key": "root.attributes.message.type",
    "value": "S"
  },
  {
    "key": "root.attributes.message.required",
    "value": "True"
  },
  {
    "key": "root.attributes.request_id.type",
    "value": "S"
  },
  {
    "key": "root.attributes.request_id.required",
    "value": "False"
  }
]

CMD curl

curl -X DELETE "https://eap7fngbzi.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifests-delete-one" -H "Content-Type: application/json" --data-raw "{\"manifest_id\": \"60378ef2-9613-4597-8227-8503692b3cdc\"}"

PowerShell curl

curl.exe -X DELETE "https://eap7fngbzi.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifests-delete-one" -H "Content-Type: application/json" --data-raw '{"manifest_id": "60378ef2-9613-4597-8227-8503692b3cdc"}'